{% extends 'kpi/base.html' %}
{% load static %}
{% block title %}Настройки{% endblock %}
{% block extrastyles %}
    <link rel="stylesheet" href="{% static 'css/settings.css' %}" />
{% endblock %}
{% block content %}
    <div class="content-basic settings">
        <div class="profile-data-form">
            <div class="row"><div class="form-header col-lg-12">Изменить данные профиля</div></div>
            <div class="row">
                <div class="col-lg-6 form">
                    <form id="profile-data-form">
                        {% csrf_token %}
                        <div class="row form-group">
                            <div class="col-lg-6"><label for="name">Имя</label></div>
                            <div class="col-lg-6"><input id="name" type="text" class="form-control" placeholder="Введите ФИО"/></div>
                        </div>
                        <div class="row form-group">
                            <div class="col-lg-6"><label for="birth-date">Дата рождения</label></div>
                            <div class="col-lg-6"><input id="birth-date" type="date" class="form-control"/></div>
                        </div>
                        <div class="row form-group">
                            <div class="col-lg-6"><label for="email">Электронная почта</label></div>
                            <div class="col-lg-6"><input id="email" type="email" class="form-control" placeholder="Введите email"/></div>
                        </div>
                    </form>
                </div>
                <div class="col-lg-5 photo-block">
                    <div class="row">
                        <div class="col-lg-12">
                            <img id="user-photo" src="
                            {% if request.user.employee.photo %}
                                {{ request.user.employee.photo.url }}
                            {% else %}
                                {% static 'img/unknown_user.png' %}
                            {% endif %}">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <span id="photo-field-title">Загрузить новое фото профиля</span>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <input id="photo-field" type="file" name="photo">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div id="invalid_email_alert" class="alert alert-danger alert-dismissible" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Неправильный формат адреса электронной почты</strong>
                    </div>
                    <div id="unknown_error_alert" class="alert alert-danger alert-dismissible" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Произошла неизвестная ошибка. Пожалуйста повторите позже</strong>
                    </div>
                    <div id="profile_success_alert" class="alert alert-success alert-dismissible" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Данные успешно обновлены</strong>
                    </div>
                    <button id="save_employee_data" type="button" class="btn btn-primary">Сохранить</button>
                </div>
            </div>
        </div>
        <div class="auth-data-form">
            <div class="row">
                <div class="form-header col-lg-12">Изменить данные для входа</div>
            </div>
            <div class="row">
                <div class="col-lg-6 form">
                    <form id="auth-data-form">
                        {% csrf_token %}
                        <div class="row form-group">
                            <div class="col-lg-6"><label for="login">Логин</label></div>
                            <div class="col-lg-6"><input id="login" type="text" class="form-control" placeholder="Введите логин"/></div>
                        </div>
                        <div class="row form-group">
                            <div class="col-lg-6"><label for="password">Новый пароль</label></div>
                            <div class="col-lg-6"><input id="password" type="password" class="form-control" placeholder="Введите пароль"/></div>
                        </div>
                        <div class="row form-group">
                            <div class="col-lg-6"><label for="password_repeat">Повторите пароль</label></div>
                            <div class="col-lg-6"><input id="password_repeat" type="password" class="form-control" placeholder="Повторите пароль"/></div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div id="password_repeat_alert" class="alert alert-danger alert-dismissible" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Пароли должны совпадать</strong>
                    </div>
                    <div id="password_short_alert" class="alert alert-danger alert-dismissible" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Пароль должен содержать как минимум 8 символов</strong>
                    </div>
                    <div id="login_invalid_alert" class="alert alert-danger alert-dismissible" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Логин должен начинаться с латинской буквы и может содержать только буквы, цифры, знак подчеркивания и точку</strong>
                    </div>
                    <div id="unknown_error_alert" class="alert alert-danger alert-dismissible" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Произошла неизвестная ошибка. Пожалуйста повторите позже</strong>
                    </div>
                    <div id="auth_success_alert" class="alert alert-success alert-dismissible" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Данные успешно обновлены</strong>
                    </div>
                    <button id="save_auth_data" type="button" class="btn btn-primary">Сохранить</button>
                </div>
            </div>
        </div>
    </div>
    <script src="{% static 'js/settings.js' %}"></script>
{% endblock %}